XmLGridDeleteColumns(3X)

NAME
XmLGridDeleteColumns - delete columns in a Grid

SYNTAX
void XmLGridDeleteColumns(widget, type, position, count)
Widget widget;
unsigned char type;
int position;
int count;

ARGUMENTS

widget
    Grid widget ID

type
    type of column

position
    position of first column

count
    number of columns to delete

DESCRIPTION
Deletes count columns of the given type in the Grid at the specified position. A position of 0 indicates the first column of the given type. The Grid will call its XmNdeleteCallback callbacks for each column and cell deleted. If possible, the focus will remain in the column which had focus prior to the deletion of columns. If the cell which has focus is in one of the columns deleted, the Grid's XmNcellFocusCallback callbacks will be called with a reason of XmCR_CELL_FOCUS_OUT before that column is deleted. If a cell in one of the columns is currently being edited, the Grid's XmNeditCallback callbacks will be called with a reason of XmCR_EDIT_CANCEL before that column is deleted.

SEE ALSO
XmLGrid(3X) XmLGridDeleteRows(3X)